## bladerf 0.2015.07

=== debian/changelog ===
bladerf (0.2015.07-3) unstable; urgency=low

  * fix-bladerf-big-endian (Closes: #795456)
  * Update to 6919e9e

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Aug 2015 10:23:34 -0400

bladerf (0.2015.07-2) unstable; urgency=medium

  * place optional installer packages in contrib (Closes: #795210)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 12 Aug 2015 00:53:59 -0400

bladerf (0.2015.07-1) unstable; urgency=low

  * New upstream release
  * Adopt upstream packaging, Thanks to Ryan Tucker <bladerf@ryantucker.us>
    - always install udev rules (no libbladerf-udev package necessary)
    - ship bladeRF-install-firmware script in bladerf package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Aug 2015 21:21:45 -0400

bladerf (0.2015.06-rc1) unstable; urgency=low

  * New upstream release
  * Adopt upstream packaging, Thanks to Ryan Tucker <bladerf@ryantucker.us>
    always install udev rules (no libbladerf-udev package necessary)
    
 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Aug 2015 00:12:45 -0400

bladerf (2015.07) unstable; urgency=low

  * FPGA: Fixed bug where TX_NOW bursts could cause metadata/sample FIFO slips
  * libbladeRF: Devices can now be opened using only a subset of a serial number
  * libbladeRF: Fixed regressions in XB-200 filterbank selection and loopback support
  * libbladeRF: Corrected zero-padding at end of TX burst
  * FPGA bitstream v0.3.4, FX3 Firmware v1.8.0, libbladeRF v1.4.3, bladeRF-cli v1.2.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 25 Jul 2015 16:35:38 -0400

bladerf (2015.06-rc1) unstable; urgency=low

  [ Jon Szymaniak ]
  * FPGA, libbladeRF: Configurable tuning modes: host and fpga
  * FPGA, libbladeRF: Scheduled retune: retune module at specified sample timestamp
  * FPGA, libbladeRF: Quick retune: retune using previously identified tuning parameters
  * FPGA, libbladeRF: Readback of current vctcxo trim DAC settting
  * bladeRF-cli: Added semicolon command separator support
  * bladeRF-cli: Added 'print trimdac' implementation

  [ Ryan Tucker ]
  * Fixup debian/changelog for rc1 

 -- Ryan Tucker <rtucker@gmail.com>  Wed, 01 Jul 2015 20:07:04 -0400

bladerf (2015.02) unstable; urgency=low

  * Build fixes

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 28 Feb 2015 15:58:39 -0500

bladerf (2015.01-rc2) unstable; urgency=low

  * Fixed issue #95, which prevented device from being opened after an application crash
  * Fixes for undesired XB-200 signal attenuation and LMS signal integrity issues
  * Added BLADERF_LOG_LEVEL support and optional libbladeRF syslog support
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.2.0, bladeRF-cli v1.1.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 31 Jan 2015 17:02:35 -0500

bladerf (2014.12-rc1) unstable; urgency=low

  * Added libbladeRF API functions for finding and recovering devices in bootloader mode
  * Added BLADERF_SEARCH_DIR, current working directory, and binary dir to libbladeRF file search path
  * The bladeRF-cli -p/--probe option now returns a non-zero return code if no devices were found.
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.1.0, bladeRF-cli v1.1.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Tue, 22 Dec 2014 14:06:49 -0500

bladerf (2014.11) unstable; urgency=low

  * First stable libbladeRF API release
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.0.0, bladeRF-cli v1.0.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sun, 30 Nov 2014 16:18:33 -0500

bladerf (2014.11-rc3) unstable; urgency=low

  * Second of three release candidates for rescheduled 2014.11 release
  * FPGA bitstream v0.1.1, FX3 Firmware v1.7.1, libbladeRF v0.17.0, bladeRF-cli v0.12.0
  * Introduced timestamp metadata support in libbladeRF's synchronous interface
  * A majority of libbladeRF functions have been made thread-safe.
  * Fixes for DC calibration issues, deadlocks, crashes, and various defects.

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Thu, 30 Oct 2014 21:59:38 -0400

bladerf (2014.09-rc2) unstable; urgency=low

  * Tagged release 2014.09-rc2 at dddc72f
  * Second of three release candidates for 2014.09 release
  * FPGA bitstream v0.0.6, FX3 Firmware v1.7.1, libbladeRF v0.16.2, bladeRF-cli v0.11.1
  * Closes #284: [hdl (nios)] Defects present in gain/phase correction bug
  * Closes #271: Frequency readback is incorrect when using xb200 bug
  * Closes #270: Markdown-ify the bladeRF-cli interactive help
  * Closes #254: bladeRF-cli: Clean up print/set lnagain bug
  * Closes #249: [libbladeRF] LMS VTUNE not locking occasionally bug
  * Closes #248: [bladeRF-Cli] Fix 'correct' command parameter ranges, cleanup usage and help text bug
  * Closes #243: [libbladeRF] Remove bladerf_* calls from lms.c enhancement
  * Closes #234: [libbladeRF] Cleanup: Move bladerf_get/set_sampling to lms.c enhancement
  * Closes #220: libbladeRF: LMS SELOUT[1:0] may be left in an invalid state upon exiting loopback mode bug
  * Closes #210: [CLI] After a calibrate command is issued, the bladeRF transmits a carrier. bug

 -- Ryan Tucker <rtucker@gmail.com>  Thu, 24 Jul 2014 22:59:24 -0400

bladerf (2014.09-rc1) unstable; urgency=low

  * Tagged release 2014.09-rc1 at 9c651b5
  * First of two release candidates for 2014.09 release
  * FPGA bitstream v0.0.5, FX3 Firmware v1.7.0, libbladeRF v0.16.0, bladeRF-cli v0.11.0
  * Closes #268: [libbladeRF] Version check routines have flipped logic bug
  * Closes #257: [libbladeRF] Remove incorrect error_conv() call(s).
  * Closes #256: [libbladeRF] Intermittent FPGA load failures bug
  * Closes #246: [libbladerRF] Added an error code for "File not found" errors enhancement
  * Closes #245: [libbladeRF] bladerf_set_bandwidth() does not appropriately handle actual=NULL bug
  * Closes #244: [libbladeRF] Lock-up occurs if sync TX is configured but not used
  * Closes #241: TX Stream can lose initial buffers
  * Closes #237: [libbladeRF] XB-200 support and API calls required bug


=== debian/control ===
Source: bladerf
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>=9), cmake (>= 2.8.5), pkg-config, doxygen,
 libusb-1.0-0-dev (>= 1.0.12) [linux-any], libusb2-dev [kfreebsd-any],
 libtecla-dev | libtecla1-dev, libncurses5-dev, help2man, pandoc
Standards-Version: 3.9.6
Section: comm
Homepage: http://www.nuand.com/bladeRF
Vcs-Git: git://github.com/Nuand/bladeRF.git
Vcs-Browser: https://github.com/Nuand/bladeRF

Package: libbladerf1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0 (>= 1.0.12)
Suggests: bladerf-fpga, bladerf-firmware
Description: nuand bladeRF software-defined radio device
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides the host library.

Package: libbladerf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbladerf1 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Description: nuand bladeRF software-defined radio device (header files)
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package contains the header files required for compiling bladeRF
 applications.

Package: bladerf
Section: comm
Architecture: any
Multi-Arch: foreign
Depends: libbladerf1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: bladerf-host
Conflicts: bladerf-host
Replaces: bladerf-host
Description: nuand bladeRF software-defined radio device (tools)
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides command-line tools for controlling the bladeRF.

Package: bladerf-fpga-hostedx40
Section: contrib/comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: nuand bladeRF FPGA bitstream downloader (hostedx40)
 This empty package will, at the time of installation, download an appropriate
 FPGA bitstream for using the nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF x40 with the Altera Cyclone IV
 EP4CE40 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedx115
Section: contrib/comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: nuand bladeRF FPGA bitstream downloader (hostedx115)
 This empty package will, at the time of installation, download an appropriate
 FPGA bitstream for using the nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF x115 with the Altera Cyclone IV
 EP4CE115 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-firmware-fx3
Section: contrib/comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-fpga
Provides: bladerf-firmware
Description: nuand bladeRF firmware downloader (FX3)
 This empty package will, at the time of installation, download an appropriate
 firmware image for using the nuand bladeRF with a Cypress FX3 USB
 controller.  The image will be downloaded from http://nuand.com/fx3/
 and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream will work for either the nuand bladeRF x40 or the x115.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

## bladerf 0.2016.01~rc1

=== fx3_firmware/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/../host/cmake/modules)
set(VERSION_INFO_MAJOR 1)
set(VERSION_INFO_MINOR 9)
set(VERSION_INFO_PATCH 0)
if(NOT DEFINED VERSION_INFO_EXTRA)
    set(VERSION_INFO_EXTRA "git")
endif()
include(Version)

set(VERSION "${VERSION_INFO}")

# .dirstamp needs to touched before version.h so that fx3_firmware/makefile
# doesn't try to rebuild version.h.
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/build/.dirstamp
    @ONLY
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/build/version.h
    @ONLY
)

add_custom_target(fx3_firmware ALL
    COMMAND ${CMAKE_MAKE_PROGRAM} OUTPUT_DIR=${CMAKE_CURRENT_BINARY_DIR}/build
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
    ${CMAKE_CURRENT_BINARY_DIR}/build)

=== host/utilities/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(bladeRF-cli)

=== host/libraries/libbladeRF/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)
project(libbladeRF C)

################################################################################
# Version information
################################################################################

set(VERSION_INFO_MAJOR  1)
set(VERSION_INFO_MINOR  5)
set(VERSION_INFO_PATCH  1)

if(NOT DEFINED VERSION_INFO_EXTRA)
    set(VERSION_INFO_EXTRA "git")
endif()
include(Version)

set(VERSION "${VERSION_INFO}")
set(LIBVER "${VERSION_INFO_BASE}")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
    @ONLY
)

if(MSVC)
    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/bladerf.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/bladerf.rc
        @ONLY
    )
endif()

if (NOT CMAKE_INSTALL_LIBDIR)
include(GNUInstallDirs)
endif (NOT CMAKE_INSTALL_LIBDIR)

# Fall back to just "lib" if the item provided by GNUInstallDirs doesn't exist
# For example, on Ubuntu 13.10 with CMake 2.8.11.2,
# /usr/lib/${CMAKE_LIBRARY_ARCHITECTURE} doesn't exist.
if (NOT EXISTS "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
    message(STATUS "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR} does not exist. Defaulting libbladeRF install location to ${CMAKE_INSTALL_PREFIX}/lib.")
    set(CMAKE_INSTALL_LIBDIR lib)
endif()

################################################################################
# Configuration options
################################################################################

option(ENABLE_LIBBLADERF_LOGGING "Enable log messages in libbladeRF." ON)

option(ENABLE_LIBBLADERF_SYSLOG "Enable logging to syslog (Linux/OSX)" OFF)

option(BUILD_LIBBLADERF_DOCUMENTATION "Build libbladeRF documentation. Requries Doxygen." ${BUILD_DOCUMENTATION})
if(NOT ${BUILD_DOCUMENTATION})
    set(BUILD_LIBBLADERF_DOCUMENTATION OFF)
endif()

option(BUILD_LIBBLADERF_DOC_EXAMPLES "Compile examples that are included in Doxygen documentation (mainly for QA purposes)." ${BUILD_LIBBLADERF_DOCUMENTATION})

option(ENABLE_LIBBLADERF_SYNC_LOG_VERBOSE
      "Enable log_verbose() calls in the sync interface's data path. Note that this may harm performance."
      OFF
)

option(ENABLE_LOCK_CHECKS
       "Enable checks for lock acquisition failures (e.g., deadlock)"
       OFF
)

option(ENABLE_USB_DEV_RESET_ON_OPEN
       "Perform a USB port reset when opening a device. This works around an issue on some Linux USB 3.0 setups that prevents a device from being opened after an application crash or unclean exit."
       ${BLADERF_OS_LINUX}
)

##############################
# Backend Support
##############################
option(ENABLE_BACKEND_USB
    "Enable USB backends. Required when using the bladeRF with a host machine."
    ON
)

option(ENABLE_BACKEND_LIBUSB
    "Enable libusb backend support."
    ${LIBUSB_FOUND}
)

option(ENABLE_BACKEND_CYAPI
    "Enable CYAPI backend support."
    ${CYAPI_FOUND}
)

option(ENABLE_BACKEND_DUMMY
    "Enable dummy backend support. This is only useful for some developers."
    OFF
)

# Ensure we've got at least one backend enabled
if(NOT ENABLE_BACKEND_LIBUSB
   AND NOT ENABLE_BACKEND_LINUX_DRIVER
   AND NOT ENABLE_BACKEND_CYAPI
   AND NOT ENABLE_BACKEND_DUMMY)
    message(FATAL_ERROR
            "No libbladeRF backends are enabled. "
            "Please enable one or more backends." )
endif()

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/src/backend/backend_config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/backend/backend_config.h
    @ONLY
)

################################################################################
# Additional compiler options
################################################################################
if(ENABLE_LIBBLADERF_LOGGING)
    add_definitions(-DLOGGING_ENABLED)
endif()

if(ENABLE_LIBBLADERF_SYSLOG)
    add_definitions(-DLOG_SYSLOG_ENABLED)
endif()

if(ENABLE_LOCK_CHECKS)
    add_definitions(-DENABLE_LOCK_CHECKS)
endif()

if("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU" OR
    "${CMAKE_C_COMPILER_ID}" STREQUAL "Clang" )

    # Doing this manually instead of via add_compiler_export_flags() since
    # the GenerateExportHeader module appears to break for C-only projects:
    #
    # http://www.cmake.org/pipermail/cmake-commits/2012-August/013142.html
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fvisibility=hidden")
endif()

# We define LIBBLADERF_SEARCH_PREFIX to specify where libbladeRF should look
# for files, such as FPGA bitstreams to autoload.
#
# This defaults to the value of ${CMAKE_INSTALL_PREFIX}. However,
# users may wish to override when cross compiling.
if(LIBBLADERF_SEARCH_PREFIX_OVERRIDE)
    add_definitions(-DLIBBLADERF_SEARCH_PREFIX="${LIBBLADERF_SEARCH_PREFIX_OVERRIDE}")
else()
    add_definitions(-DLIBBLADERF_SEARCH_PREFIX="${CMAKE_INSTALL_PREFIX}")
endif()



################################################################################
# Include paths
################################################################################
set(LIBBLADERF_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${BLADERF_HOST_COMMON_INCLUDE_DIRS}
    ${BLADERF_FW_COMMON_INCLUDE_DIR}
    ${BLADERF_FPGA_COMMON_INCLUDE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/src
)



################################################################################
# Build dependencies
################################################################################
if(MSVC)
    set(LIBBLADERF_INCLUDES ${LIBBLADERF_INCLUDES} ${MSVC_C99_INCLUDES})

    find_package(LibPThreadsWin32 REQUIRED)
    if(LIBPTHREADSWIN32_FOUND)
        set(HAVE_THREADS true)
        set(LIBBLADERF_INCLUDES
            ${LIBBLADERF_INCLUDES} ${LIBPTHREADSWIN32_INCLUDE_DIRS})
        set(LIBBLADERF_LIBS
            ${LIBBLADERF_LIBS} ${LIBPTHREADSWIN32_LIBRARIES})
    else()
        set(HAVE_THREADS false)
    endif()
else(MSVC)
    find_package(Threads REQUIRED)
    if(Threads_FOUND)
        set(HAVE_THREADS true)
    else()
        set(HAVE_THREADS false)
    endif()
endif(MSVC)

if (NOT HAVE_THREADS)
    message(FATAL_ERROR "pthreads not found. This is required to build libbladeRF.")
endif()

if(NOT ENABLE_BACKEND_USB)
    set(ENABLE_BACKEND_LIBUSB OFF)
    set(ENABLE_BACKEND_LINUX_DRIVER OFF)
endif()

if(ENABLE_BACKEND_LIBUSB)
    if(NOT LIBUSB_FOUND)
        message(FATAL_ERROR "libusb-1.0 not found. This is required to use the libbladeRF libusb backend. For binary releases, try setting LIBUSB_PATH.")
    else(NOT LIBUSB_FOUND)
        if(LIBUSB_VERSION)
            if(NOT LIBUSB_VERSION VERSION_LESS "1.0.10")
                add_definitions(-DHAVE_LIBUSB_GET_VERSION)
            endif()

            if(WIN32)
                # We require v1.0.19 because it provides Windows 8 USB 3.0
                # speed detection fixes, additional AMD/Intel USB 3.0 root
                # hub support, and some fixes to issues reported on v1.0.18
                # that yielded corrupted samples.
                if(${LIBUSB_VERSION} VERSION_LESS "1.0.19")
                    message(FATAL_ERROR "libusb v1.0.19 is required in Windows.\n"
                                        "Please update libusb or consider using the Cypress backend if this is not possible.\n"
                                        "Detected version: ${LIBUSB_VERSION}\n")
                endif()
            elseif(APPLE)
                # A number of important changes were included in libusb
                # v1.0.16 hrough v1.0.18, including SuperSpeed support, 64-bit support,
                # and various build and crash fixes.
                if(${LIBUSB_VERSION} VERSION_LESS "1.0.18")
                    message(FATAL_ERROR "libusb v1.0.18 is required in OS X. Please update libusb."
                                        "Detected version: ${LIBUSB_VERSION}\n")
                endif()
            elseif(UNIX)
                # A number of reported issues supposedly became resolved after
                # updating to >= 1.0.16.
                if(${LIBUSB_VERSION} VERSION_LESS "1.0.16")
                    message(WARNING "\nlibusb >= 1.0.16 is HIGHLY recommended. "
                                    "If you experience issues or poor performance, please try updating libusb.\n"
                                    "Detected version: ${LIBUSB_VERSION}")
                endif()
            else()
                message(WARNING "Unexpected system type. Please report this warning to developers.")
            endif()
        else()
            message(WARNING "Not checking libbladeRF/libusb compatibility because LIBUSB_VERSION is not defined.")
        endif()
        set(LIBBLADERF_INCLUDES ${LIBBLADERF_INCLUDES} ${LIBUSB_INCLUDE_DIRS})
    endif(NOT LIBUSB_FOUND)
endif(ENABLE_BACKEND_LIBUSB)

if(ENABLE_BACKEND_CYAPI)
    find_package(CyAPI REQUIRED)
    set(LIBBLADERF_INCLUDES ${LIBBLADERF_INCLUDES} ${CYAPI_INCLUDE_DIRS})
endif(ENABLE_BACKEND_CYAPI)

if(MSVC)
    set(LIBBLADERF_INCLUDES ${LIBBLADERF_INCLUDES}
        ${LIBPTHREADSWIN32_INCLUDE_DIRS})
endif()

if(ENABLE_LIBBLADERF_SYNC_LOG_VERBOSE AND ENABLE_LIBBLADERF_LOGGING)
    add_definitions(-DENABLE_LIBBLADERF_SYNC_LOG_VERBOSE)
endif()

if(ENABLE_USB_DEV_RESET_ON_OPEN)
    add_definitions(-DENABLE_USB_DEV_RESET_ON_OPEN=1)
endif()

include_directories(${LIBBLADERF_INCLUDES})

################################################################################
# Configure source files
################################################################################
set(LIBBLADERF_SOURCE
        src/async.c
        src/backend/backend.c
        src/bladerf.c
        src/bladerf_priv.c
        src/capabilities.c
        src/config.c
        src/dc_cal_table.c
        src/device_identifier.c
        src/devinfo.c
        src/file_ops.c
        src/flash.c
        src/flash_fields.c
        src/fpga.c
        src/fx3_fw.c
        src/fx3_fw_log.c
        src/gain.c
        src/image.c
        src/init_fini.c
        src/si5338.c
        src/sync.c
        src/sync_worker.c
        src/tuning.c
        src/version.h
        src/version_compat.c
        src/xb.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/sha256.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/conversions.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/log.c
        ${BLADERF_FPGA_COMMON_SOURCE_DIR}/lms.c
        ${BLADERF_FPGA_COMMON_SOURCE_DIR}/band_select.c
)

if (MSVC)
        set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE} ${CMAKE_CURRENT_BINARY_DIR}/bladerf.rc)
endif()

if(ENABLE_BACKEND_USB)
    # Useful when doing FX3, NIOS-II, or FPGA debugging
    if(LIBBLADERF_DISABLE_USB_TIMEOUTS)
        add_definitions("-DPERIPHERAL_TIMEOUT_MS=0")
        add_definitions("-DCTRL_TIMEOUT_MS=0")
        add_definitions("-DBULK_TIMEOUT_MS=0")
    endif()

    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE}
        src/backend/usb/nios_access.c
        src/backend/usb/nios_legacy_access.c
        src/backend/usb/usb.c
    )
endif()

if(LIBUSB_FOUND AND ENABLE_BACKEND_LIBUSB)
    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE} src/backend//usb/libusb.c)
endif()

if(CYAPI_FOUND AND ENABLE_BACKEND_CYAPI)
    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE} src/backend/usb/cyapi.c)
    # CyAPI is C++
    set_source_files_properties(src/backend/usb/cyapi.c PROPERTIES LANGUAGE CXX)
endif()

if(ENABLE_BACKEND_DUMMY)
    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE} src/backend/dummy.c)
endif()

if(ENABLE_BACKEND_LINUX_DRIVER)
    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE} src/backend/linux.c)
endif()

if(BLADERF_OS_OSX)
    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE}
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/osx/clock_gettime.c
    )
endif()

if(MSVC)
    set(LIBBLADERF_SOURCE ${LIBBLADERF_SOURCE}
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/windows/clock_gettime.c
    )
endif()

set(SRC_TO_SHORTEN ${LIBBLADERF_SOURCE})
include(ShortFileMacro)
add_library(libbladerf_shared SHARED ${LIBBLADERF_SOURCE})

################################################################################
# Build configuration

=== host/libraries/libbladeRF_test/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(test_async)
add_subdirectory(test_bootloader_recovery)
add_subdirectory(test_c)
add_subdirectory(test_cpp)
add_subdirectory(test_ctrl)
add_subdirectory(test_freq_hop)
add_subdirectory(test_fw_check)
add_subdirectory(test_open)
add_subdirectory(test_peripheral_timing)
add_subdirectory(test_repeater)
add_subdirectory(test_quick_retune)
add_subdirectory(test_repeated_stream)
add_subdirectory(test_rx_discont)
add_subdirectory(test_scheduled_retune)
add_subdirectory(test_sync)
add_subdirectory(test_timestamps)
add_subdirectory(test_tune_timing)
add_subdirectory(test_unused_sync)
add_subdirectory(test_version)

=== host/utilities/bladeRF-cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(bladeRF-cli C)

################################################################################
# Version information
################################################################################

set(VERSION_INFO_MAJOR  1)
set(VERSION_INFO_MINOR  3)
set(VERSION_INFO_PATCH  1)

if(NOT DEFINED VERSION_INFO_EXTRA)
    set(VERSION_INFO_EXTRA "git")
endif()
include(Version)

set(VERSION "${VERSION_INFO}")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
    @ONLY
)

################################################################################
# Regenerate interactive help
################################################################################
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc)
find_program(PANDOC_EXECUTABLE pandoc)

if(PANDOC_EXECUTABLE)
    # Run the generation script
    message(STATUS "Will use pandoc to generate interactive help")
    add_custom_command(
        OUTPUT src/cmd/doc/cmd_help.h src/cmd/doc/cmd_help.man
        COMMAND bash ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/generate.bash ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/interactive-help.md
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc
    )
else(PANDOC_EXECUTABLE)
    # Re-use old cmd_help.h and cmd_help.man
    message(STATUS "Could not find pandoc.  Interactive help may be out of date.")
    add_custom_command(
        OUTPUT src/cmd/doc/cmd_help.h
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/cmd_help.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc/cmd_help.h
    )
    add_custom_command(
        OUTPUT src/cmd/doc/cmd_help.man
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/cmd_help.man.in ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc/cmd_help.man
    )
endif(PANDOC_EXECUTABLE)
################################################################################
# Build dependencies
################################################################################
find_package(LibTecla)

if(MSVC)
    find_package(LibPThreadsWin32 REQUIRED)
else(MSVC)
	find_package(Threads REQUIRED)
endif(MSVC)

################################################################################
# Configuration options
################################################################################

option(ENABLE_LIBTECLA
        "Enable the use of libtecla, if available."
        ${LIBTECLA_FOUND}
)

option(BUILD_BLADERF_CLI_DOCUMENTATION
        "Build bladeRF-cli man page. Requires help2man."
        ${BUILD_DOCUMENTATION})

if(NOT ${BUILD_DOCUMENTATION})
    set(BUILD_BLADERF_CLI_DOCUMENTATION OFF)
endif()


if(ENABLE_LIBTECLA)
    if((NOT LIBTECLA_INCLUDE_DIR) OR (NOT LIBTECLA_LIBRARIES))
        message(FATAL_ERROR "ENABLE_LIBTECLA was forced ON, but libtecla cannot be found!")
    endif()

    message(STATUS "libtecla support enabled")
endif()

################################################################################
# Include paths
################################################################################
set(CLI_INCLUDE_DIRS
       ${CMAKE_CURRENT_SOURCE_DIR}/src
       ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd
       ${CMAKE_CURRENT_SOURCE_DIR}/src/input
       ${CMAKE_CURRENT_BINARY_DIR}/src
       ${CMAKE_CURRENT_BINARY_DIR}/src/cmd
       ${BLADERF_HOST_COMMON_INCLUDE_DIRS}
       ${libbladeRF_SOURCE_DIR}/include
       ${BLADERF_FW_COMMON_INCLUDE_DIR}
)

if(MSVC)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS} ${MSVC_C99_INCLUDES})
endif()


if(ENABLE_LIBTECLA)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS} ${LIBTECLA_INCLUDE_DIR})
endif()

if(MSVC)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS}
        ${BLADERF_HOST_COMMON_INCLUDE_DIRS}/windows
        ${LIBPTHREADSWIN32_INCLUDE_DIRS}
    )
endif()

if(APPLE)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS}
        ${BLADERF_HOST_COMMON_INCLUDE_DIRS}/osx
    )
endif()

include_directories(${CLI_INCLUDE_DIRS})

################################################################################
# Configure source files
################################################################################
set(BLADERF_CLI_SOURCE
        src/main.c
        src/common.c
        src/cmd/calibrate.c
        src/cmd/doc/cmd_help.h
        src/cmd/cmd.c
        src/cmd/erase.c
        src/cmd/flash_backup.c
        src/cmd/flash_image.c
        src/cmd/flash_init_cal.c
        src/cmd/flash_restore.c
        src/cmd/fw_log.c
        src/cmd/info.c
        src/cmd/load.c
        src/cmd/open.c
        src/cmd/peek.c
        src/cmd/lms_reg_info.c
        src/cmd/peekpoke.c
        src/cmd/poke.c
        src/cmd/printset.c
        src/cmd/probe.c
        src/cmd/xb.c
        src/cmd/xb100.c
        src/cmd/xb200.c
        src/cmd/recover.c
        src/cmd/rx.c
        src/cmd/rxtx.c
        src/cmd/tx.c
        src/cmd/version.c
        src/cmd/jump_boot.c
        src/cmd/mimo.c
        src/input/input.c
        src/input/script.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/conversions.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/dc_calibration.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/log.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/str_queue.c
)

# Select the input mode (and script handling) backend
if(ENABLE_LIBTECLA)
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE} src/input/tecla.c)
else()
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE} src/input/fgets.c)
endif()

if(MSVC)
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE}
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/windows/getopt_long.c
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/windows/clock_gettime.c
    )
endif()

if(APPLE)
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE}
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/osx/clock_gettime.c
    )
endif()

set(SRC_TO_SHORTEN ${BLADERF_CLI_SOURCE})
include(ShortFileMacro)
add_executable(bladeRF-cli ${BLADERF_CLI_SOURCE})

################################################################################
# Build configuration
################################################################################
set(CLI_LINK_LIBRARIES
    libbladerf_shared
    ${CMAKE_THREAD_LIBS_INIT}
)

if(NOT MSVC)
    set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} m)
endif()

if(ENABLE_LIBTECLA)
    set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} ${LIBTECLA_LIBRARIES})

    # On a few tests Linux distros, libtecla is not build against
    # ncurses. However, folks have reported that builds on OSX use it
    if(CMAKE_HOST_APPLE)
        set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} ncurses)
    endif(CMAKE_HOST_APPLE)

endif(ENABLE_LIBTECLA)

if(LIBPTHREADSWIN32_FOUND)
    set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} ${LIBPTHREADSWIN32_LIBRARIES})
endif()

if(LIBC_VERSION)
    # clock_gettime() was moved from librt -> libc in 2.17
    if(${LIBC_VERSION} VERSION_LESS "2.17")
        set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} rt)
    endif()
endif()

target_link_libraries(bladeRF-cli ${CLI_LINK_LIBRARIES})

################################################################################
# Man pages
################################################################################
if(BUILD_BLADERF_CLI_DOCUMENTATION)
    find_program(HELP2MAN_EXECUTABLE help2man)

    if(HELP2MAN_EXECUTABLE)
        message(STATUS "Will build man page for bladeRF-cli.")

        if(NOT DEFINED MAN_INSTALL_DIR)
            set(MAN_INSTALL_DIR share/man)
        endif(NOT DEFINED MAN_INSTALL_DIR)

        # Build actual man page
        add_custom_command(
            OUTPUT bladeRF-cli.1
            DEPENDS bladeRF-cli src/cmd/doc/cmd_help.man
            COMMAND ${HELP2MAN_EXECUTABLE} --no-info --no-discard-stderr
                                           --opt-include=${CMAKE_CURRENT_SOURCE_DIR}/../doc/include_man/bladeRF-cli.h2m
                                           --opt-include=${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc/cmd_help.man
                                           --opt-include=${CMAKE_CURRENT_SOURCE_DIR}/../doc/include_man/common.h2m
                                           --output=bladeRF-cli.1 ./bladeRF-cli
            WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
        )

        install(FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/bladeRF-cli.1 DESTINATION ${MAN_INSTALL_DIR}/man1)

        add_custom_target(bladeRF-cli-manpage ALL DEPENDS bladeRF-cli.1)

    else(HELP2MAN_EXECUTABLE)
        message(FATAL_ERROR "Could not find help2man. bladeRF-cli man page cannot be built.")
    endif(HELP2MAN_EXECUTABLE)
else(BUILD_BLADERF_CLI_DOCUMENTATION)
    message(STATUS "Not building man page for bladeRF-cli.  (BUILD_BLADERF_CLI_DOCUMENTATION is OFF)")
endif(BUILD_BLADERF_CLI_DOCUMENTATION)

################################################################################
# Installation
################################################################################
if(NOT DEFINED BIN_INSTALL_DIR)
    set(BIN_INSTALL_DIR bin)
endif()

install(TARGETS bladeRF-cli DESTINATION ${BIN_INSTALL_DIR})

################################################################################
# Informational output
################################################################################
message(STATUS "Configured to build bladeRF-cli version: ${VERSION_INFO}")

=== host/libraries/libbladeRF_test/test_c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(libbladeRF_test_c C)

set(INCLUDES ${libbladeRF_SOURCE_DIR}/include)
if(MSVC)
    set(INCLUDES ${INCLUDES} ${MSVC_C99_INCLUDES})
endif()

include_directories(${INCLUDES})
add_executable(libbladeRF_test_c main.c)
target_link_libraries(libbladeRF_test_c libbladerf_shared)

=== host/libraries/libbladeRF_test/test_cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(libbladeRF_test_cpp CXX)

include_directories(${libbladeRF_SOURCE_DIR}/include)

add_executable(libbladeRF_test_cpp main.cpp)
target_link_libraries(libbladeRF_test_cpp libbladerf_shared)

=== host/libraries/libbladeRF_test/test_unused_sync/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(libbladeRF_test_unused_sync C)

set(INCLUDES ${libbladeRF_SOURCE_DIR}/include)
if(MSVC)
    set(INCLUDES ${INCLUDES} ${MSVC_C99_INCLUDES})
endif()

include_directories(${INCLUDES})

add_executable(libbladeRF_test_unused_sync main.c)
target_link_libraries(libbladeRF_test_unused_sync libbladerf_shared)

=== host/libraries/libbladeRF_test/test_version/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(libbladeRF_test_version C)

set(INCLUDES ${libbladeRF_SOURCE_DIR}/include)

include_directories(${INCLUDES})
add_executable(libbladeRF_test_version src/main.c)
target_link_libraries(libbladeRF_test_version libbladerf_shared)

=== host/misc/dev/lms_freqsel/Makefile ===
CFLAGS := -Wall -Wextra -ggdb3
LDFLAGS := -lm

all: freqsel

%: %.c
	$(CC) $(CFLAGS) $< $(LDFLAGS) -o $@

clean:
	rm -f freqsel

.PHONY: clean

=== debian/changelog ===
bladerf (0.2016.01~rc1-3) unstable; urgency=medium

  * update to 1be8b76
    use upstream fixes for big-endian builds
  * single Debian kFreeBSD support patch
  * spelling fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Jan 2016 21:31:17 -0500

bladerf (0.2016.01~rc1-2) unstable; urgency=medium

  * Apply fixes for big-endian builds
  * Apply fixes for Debian kFreeBSD support

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jan 2016 12:21:43 -0500

bladerf (0.2016.01~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    update to 6e35ea3

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jan 2016 15:51:33 -0500

bladerf (0.2015.07-4) unstable; urgency=medium

  * Update to 2015.06-rc1.1-106-gc262e84

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 22:16:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
 Source: bladerf
 Priority: extra
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Build-Depends: debhelper (>=9), cmake (>= 2.8.5), pkg-config, doxygen,
- libusb-1.0-0-dev (>= 1.0.12) [linux-any], libusb2-dev [kfreebsd-any],
- libtecla-dev | libtecla1-dev, libncurses5-dev, help2man, pandoc
+Build-Depends: cmake (>= 2.8.5),
+               debhelper (>=9),
+               doxygen,
+               help2man,
+               libncurses5-dev,
+               libtecla-dev | libtecla1-dev,
+               libusb-1.0-0-dev (>= 1.0.12) [linux-any],
+               libusb2-dev [kfreebsd-any],
+               pandoc,
+               pkg-config
 Standards-Version: 3.9.6
 Section: comm
 Homepage: http://www.nuand.com/bladeRF
-Vcs-Git: git://github.com/Nuand/bladeRF.git
-Vcs-Browser: https://github.com/Nuand/bladeRF
+Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-bladerf.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/bottoms/pkg-bladerf.git/
 
 Package: libbladerf1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0 (>= 1.0.12)
-Suggests: bladerf-fpga, bladerf-firmware
+Depends: libusb-1.0-0 (>= 1.0.12), ${misc:Depends}, ${shlibs:Depends}
+Suggests: bladerf, bladerf-firmware, bladerf-fpga
 Description: nuand bladeRF software-defined radio device
  The nuand bladeRF is an open-source software-defined radio (SDR) system,
  comprised of an RF transceiver, a field-programmable gate array (FPGA),
@@ -29,7 +36,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbladerf1 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libbladerf1 (= ${binary:Version}),
+         libc6-dev | libc-dev,
+         ${misc:Depends}
 Description: nuand bladeRF software-defined radio device (header files)
  The nuand bladeRF is an open-source software-defined radio (SDR) system,
  comprised of an RF transceiver, a field-programmable gate array (FPGA),
@@ -40,10 +49,9 @@
  applications.
 
 Package: bladerf
-Section: comm
 Architecture: any
 Multi-Arch: foreign
-Depends: libbladerf1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libbladerf1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: bladerf-host
 Conflicts: bladerf-host
 Replaces: bladerf-host
@@ -58,7 +66,7 @@
 Package: bladerf-fpga-hostedx40
 Section: contrib/comm
 Architecture: any
-Depends: wget, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, libbladerf1, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bladerf
 Suggests: bladerf-firmware
 Provides: bladerf-fpga
@@ -77,7 +85,7 @@
 Package: bladerf-fpga-hostedx115
 Section: contrib/comm
 Architecture: any
-Depends: wget, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, libbladerf1, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bladerf
 Suggests: bladerf-firmware
 Provides: bladerf-fpga
@@ -96,7 +104,7 @@
 Package: bladerf-firmware-fx3
 Section: contrib/comm
 Architecture: any
-Depends: wget, ${shlibs:Depends}, ${misc:Depends}
+Depends: wget, libbladerf1, ${misc:Depends}, ${shlibs:Depends}
 Recommends: bladerf
 Suggests: bladerf-fpga
 Provides: bladerf-firmware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim:noet

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Test to see if we're a snapshot build by looking for the word
# "SNAPSHOT" in our version.  If so, infer our current version and inject
# it into the build process.
DEB_VERSION_STRING ?= $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2-)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(findstring SNAPSHOT,$(DEB_VERSION_STRING)))
	# Format is like: 0.9.0+1SNAPSHOT20131027041813-gitedc468d~saucy
	DVS_SPLIT := $(subst ~, ,$(subst -git, ,$(DEB_VERSION_STRING)))
	# Format is like: 0.9.0+1SNAPSHOT20131027041813 edc468d saucy
	DEB_VERSION_GITHASH := $(word 2,$(DVS_SPLIT))
	DEB_VERSION_SERIES := $(word 3,$(DVS_SPLIT))
	# Produce a version suffix like: git-edc468d-ppasaucy
	VERSION_INFO_OVERRIDE := git-$(DEB_VERSION_GITHASH)-ppa$(DEB_VERSION_SERIES)
else
	VERSION_INFO_OVERRIDE := $(DEB_VERSION_STRING)
endif

# For tagged PPA release builds, we have a slightly different format...
ifneq (,$(findstring 1ppa,$(DEB_VERSION_STRING)))
	# Format is like: 2014.09-rc1-1ppa1~saucy
	DVS_SPLIT := $(subst ~, ,$(subst -1ppa, ,$(DEB_VERSION_STRING)))
	# Format is like: 2014.09-rc1 1 saucy
	DEB_VERSION_TAG := $(word 1,$(DVS_SPLIT))
	DEB_VERSION_BUILD := $(word 2,$(DVS_SPLIT))
	DEB_VERSION_SERIES := $(word 3,$(DVS_SPLIT))
	# Produce a version suffix like: 2014.09-rc1-1-ppasaucy
	VERSION_INFO_OVERRIDE := $(DEB_VERSION_TAG)-$(DEB_VERSION_BUILD)-ppa$(DEB_VERSION_SERIES)
endif

override_dh_auto_configure:
	dh_auto_configure -- 	-DVERSION_INFO_OVERRIDE:STRING=$(VERSION_INFO_OVERRIDE) \
							-DCMAKE_INSTALL_LIBDIR="lib/${DEB_HOST_MULTIARCH}" \
							-DENABLE_HOST_BUILD=ON \
							-DENABLE_FX3_BUILD=OFF \
							-DBUILD_DOCUMENTATION=ON \
							-DUDEV_RULES_PATH=/lib/udev/rules.d

%:
	dh $@
